
Redmine - Defect #28035

Order of versions is not correctly ordered

2018-01-22 11:23 - Robert Schneider

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I see this with version 3.4.2 and on redmine.org at different places:

in project configuration

in custom field

in Roadmap: completed versions in sidebar or when all gets shown

in issue list filter for version custom field

Which kind of sorting is it currently? It is not the id and it doesn't seem to be the name.

Related issues:

Is duplicate of Redmine - Feature #6881: Version numbering sort New 2010-11-13

History

#1 - 2018-01-24 18:57 - Toshi MARUYAMA

- Status changed from New to Closed

source:tags/3.4.4/app/models/version.rb#L197

Versions are sorted by effective_date and name

Those with no effective_date are at the end, sorted by name

 in issue list filter for version custom field

 Please explain more details.

redmine.org is not recent version.

#2 - 2018-01-24 18:57 - Toshi MARUYAMA

- Status changed from Closed to New

#3 - 2018-01-24 18:57 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2018-02-02 09:15 - Robert Schneider

Okay, I see. Doesn't look natural to me, but that's just my opinion.

I would prefer a an order independent of the effective date. Ideally, if the version has a format x.y.z it should be:

1.1.1

1.1.2

1.1.10

1.2.0

1.3.0

1.20.0

#5 - 2019-02-03 00:32 - Go MAEDA

- Is duplicate of Feature #6881: Version numbering sort added

#6 - 2019-02-03 00:34 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.4.4/app/models/version.rb#L197


- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Closing as a duplicate of #6881.

#7 - 2019-03-29 08:25 - Edgars Batna

Versions should be sorted by version. Sorting that runs on invisible criteria is bogus.
